%define name libticalcs
%define version 4.3.0
%define release 1mdk
%define major 4

Summary: Library to handle the different TI calculators
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
URL: http://tilp.sourceforge.net/
Source: %{name}-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libticables-devel >= 3.6.1 
BuildRequires: libtifiles-devel >= 0.4.2
Obsoletes: libti_calcs

%define libname %mklibname ticalcs %major
%define libnamedevel %mklibname ticalcs %major -d

%description
This package is a library to handle all the different types of TI 
calculators for TiLP.

%package -n %name-doc
Summary: Document files of %name.
Group: System/Libraries
Requires: %libname = %{version}-%{release}

%description -n %name-doc
This package is a library to handle all the different types of TI
calculators for TiLP.

This package contain the doc files

%package -n %libname
Summary: Library to handle the different TI calculators
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %libname
This package is a library to handle all the different types of TI 
calculators for TiLP.

%package -n %libnamedevel
Summary: Development libraries for libticalcs
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libnamedevel
This package contains headers and other necessary files to develop 
applications that use libti_calcs.

%prep
%setup

%build
CC=$RPM_OPT_FLAGS
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
%make

%install
%makeinstall
(cd $RPM_BUILD_ROOT%{_prefix}/include/tilp
rm -f pause.h)

find docs -name "*~" -exec rm -f {} \;

%find_lang %{name}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -n %name-doc
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README docs/text/* docs/html/*

%files -n %libname -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING ChangeLog README

%files -n %libnamedevel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/tilp/*
%{_mandir}/man1/*
%_libdir/pkgconfig/ticalcs.pc
%dir %{_includedir}/tilp

%changelog
* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.3.0-1mdk
- 4.3.0
- use %%mklibname

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.8-1mdk
- 4.2.8

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.7-1mdk
- 2.4.7

* Tue Sep 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1.6-1mdk
- port to mdk

* Thu Jun 13 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.8

* Tue Mar 5 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.1

* Mon Feb 25 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.0

* Tue Feb 12 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.3

* Sun Feb 10 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.2

* Tue Nov 27 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.7

* Sat Oct 20 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.0

* Mon Jul 02 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.8.0

* Sun May  6 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.6.4

* Sat Mar 24 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.8

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Fixed conflicts with libti_calcs and libticables

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.1
